
Foreman - Feature #32919

Enable Salt Autosign via Grains for Provisioning Template

07/01/2021 07:45 AM - Bastian Schmidt

Status: Closed   

Priority: Normal   

Assignee: Bastian Schmidt   

Category: Plugin integration   

Target version: 3.0.2   

Difficulty: easy Fixed in Releases: 3.0.2, 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8489,

https://github.com/theforeman/foreman/p

ull/9048

  

Description

A new Salt Autosign via Grains procedure has been implemented and was already merged for Foreman Salt (

https://github.com/theforeman/foreman_salt/pull/136) and Smart Proxy Salt (https://github.com/theforeman/foreman_salt/pull/136).

To enable the new procedure, changes to the Provisioning Template Snippet are necessary which includes calling the 

@host.derive_salt_grains()

method to get the grains which shall be added to the minion configuration.

Associated revisions

Revision ce219005 - 12/14/2021 04:47 PM - Bastian Schmidt

Fixes #32919 - Add Salt Autosign grain to minion configuration

Use host function .derive_salt_grains to get host_params['salt_grains'] and autosign key

Makes foreman incompatible with previous foreman_salt versions

Co-authored-by: Evgeni Golov <evgeni@golov.de>

History

#1 - 07/01/2021 08:09 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#2 - 12/14/2021 04:47 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 12/14/2021 05:01 PM - Bastian Schmidt

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ce2190057571ad3d9c3db3f6a80b9dcf52448426.

#4 - 01/05/2022 01:34 PM - Ewoud Kohl van Wijngaarden

- Target version set to 3.0.2

#5 - 01/24/2022 08:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9048 added

#6 - 01/24/2022 10:14 AM - The Foreman Bot

- Fixed in Releases 3.0.2 added
